# Updating an existing Estimate Scenario

This endpoint returns structured Estimate Scenario objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the estimate_scenarios top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /estimate_scenarios/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- estimate_scenario_resources (EstimateScenarioResource) - The Estimate Scenario Resources of the Estimate Scenario.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- rate_card (RateCard) - The rate card being used for the estimate scenario.

## Request fields (application/json):

  - `estimate_scenario` (object)

  - `estimate_scenario.budget_in_cents` (integer)
    The planned budget for the scenario.

  - `estimate_scenario.name` (string)
    The name of the scenario (must be a unique name within it's estimate).

  - `estimate_scenario.rate_card_id` (integer)
    The rate card being used to calculate the resources' rates.

  - `estimate_scenario.start_date` (string)
    The planned start date of the project. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `estimate_scenario.external_reference` (object)
    Typically populated programmatically by a third party system via an integration, this is an optional
object that holds data from an external system. It connects objects in an external system with objects in
Kantata OX (for example, to connect a Jira issue to a Kantata OX Project).

  - `estimate_scenario.external_reference.service_name` (string, required)
    The provider name of the integration. If you are adding multiple external references to the same object, the service_name must be unique.

  - `estimate_scenario.external_reference.service_model` (string, required)
    The object type of the external object this external reference belongs to.

  - `estimate_scenario.external_reference.service_model_ref` (string, required)
    The object ID of the external object this external reference belongs to.

  - `estimate_scenario.external_reference.status` (string)
    The status of the integration. Options are successful, pending,  or failed.

  - `estimate_scenario.external_reference.external_message` (string)
    The message on the external object.

  - `estimate_scenario.external_reference.external_link` (string)
    The link to the external object.

  - `estimate_scenario.external_reference.external_status` (string)
    The status of the external object in the external system.

  - `estimate_scenario.external_reference.locked` (boolean)
    Whether the subject is locked.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `estimate_scenarios` (object)

  - `external_references` (object)

  - `rate_cards` (object)

  - `estimate_scenario_resources` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


